> ## Documentation Index
> Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List account members and pending invites



## OpenAPI

````yaml get /v1/accounts/{accountId}/members
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/accounts/{accountId}/members:
    get:
      tags:
        - Accounts
      summary: List account members and pending invites
      operationId: getV1AccountsAccountidMembers
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: accountId
          in: path
        - schema:
            type: string
            description: >-
              Case-insensitive partial match against member name, member email,
              and invite email. Empty searches are ignored.
          required: false
          description: >-
            Case-insensitive partial match against member name, member email,
            and invite email. Empty searches are ignored.
          name: search
          in: query
        - schema:
            type: string
            enum:
              - member
              - invite
            description: Filter by account member list item type.
          required: false
          description: Filter by account member list item type.
          name: type
          in: query
        - schema:
            type: string
            enum:
              - OWNER
              - ADMIN
              - READ_WRITE
              - READ_RUN
              - READ_ONLY
            description: >-
              Filter by account role. Valid filters may produce no results for
              invites.
          required: false
          description: >-
            Filter by account role. Valid filters may produce no results for
            invites.
          name: role
          in: query
        - schema:
            type: string
            enum:
              - ACTIVE
              - PENDING
              - EXPIRED
            description: >-
              Filter by member or invite status. Valid filters may produce no
              results for some item types.
          required: false
          description: >-
            Filter by member or invite status. Valid filters may produce no
            results for some item types.
          name: status
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            description: Page length. Omitted returns all matching members and invites.
          required: false
          description: Page length. Omitted returns all matching members and invites.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque cursor returned from a previous limited request. Only
              accepted with limit and the same query params.
          required: false
          description: >-
            Opaque cursor returned from a previous limited request. Only
            accepted with limit and the same query params.
          name: nextId
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountMembersList'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    AccountMembersList:
      type: object
      properties:
        members:
          type: array
          items:
            $ref: '#/components/schemas/AccountMembersListItems'
        length:
          type: integer
          minimum: 0
          description: >-
            Number of items returned in this page. This is not the total
            matching count.
        nextId:
          type: string
          nullable: true
          description: >-
            Opaque cursor for the next page. Null means there are no more
            results.
      required:
        - members
        - length
        - nextId
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    AccountMembersListItems:
      oneOf:
        - $ref: '#/components/schemas/AccountMember'
        - $ref: '#/components/schemas/AccountInvite'
      discriminator:
        propertyName: type
        mapping:
          member:
            $ref: '#/components/schemas/AccountMember'
          invite:
            $ref: '#/components/schemas/AccountInvite'
    AccountMember:
      type: object
      properties:
        type:
          type: string
          enum:
            - member
        accountId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        email:
          type: string
          format: email
        role:
          type: string
          enum:
            - OWNER
            - ADMIN
            - READ_WRITE
            - READ_RUN
            - READ_ONLY
        status:
          type: string
          enum:
            - ACTIVE
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        isSupportMembership:
          type: boolean
        ssoEnabled:
          type: boolean
        mfaEnabled:
          type: boolean
      required:
        - type
        - accountId
        - userId
        - name
        - email
        - role
        - status
        - createdAt
        - updatedAt
        - isSupportMembership
        - ssoEnabled
        - mfaEnabled
    AccountInvite:
      type: object
      properties:
        type:
          type: string
          enum:
            - invite
        id:
          type: string
          format: uuid
        accountId:
          type: string
          format: uuid
        email:
          type: string
          format: email
        role:
          type: string
          enum:
            - ADMIN
            - READ_WRITE
            - READ_RUN
            - READ_ONLY
        status:
          type: string
          enum:
            - PENDING
            - EXPIRED
        inviterEmail:
          type: string
          format: email
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
      required:
        - type
        - id
        - accountId
        - email
        - role
        - status
        - inviterEmail
        - createdAt
        - updatedAt
        - expiresAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````